/*
 * rawdevice.h -- Machine/OS dependent device I/O 
 *
 *  Copyright 1997 John E. Stone (j.stone@acm.org)
 *
 *  $Id: rawdevice.h,v 1.3 1998/02/18 13:20:08 johns Exp $
 *
 */

typedef void * DevHandle;

int dev_open(char * devname, DevHandle * devhandleptr, int *iofd); 
int dev_write(DevHandle devhandle, char * buf, int sz); 
int dev_read(DevHandle devhandle, char * buf, int sz); 
int dev_close(DevHandle * devhandleptr); 

